Skip to main content
GET
Get a delivery window

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the delivery window

Example:

"dlw_abc|10:00|12:00|2025-10-22"

Response

OK

Response for a delivery window.

id
string
required

The ID of the delivery window.

Example:

"dw_01234567890123456789"

name
string
required

The name of the delivery window.

Example:

"Monday Delivery Window"

startTime
string
required

The start time of the delivery window.

Example:

"2024-01-01T10:00:00Z"

startTimeLocal
string
required

The start time of the delivery window in local timezone.

Example:

"2024-01-01T10:00:00"

endTime
string
required

The end time of the delivery window.

Example:

"2024-01-01T12:00:00Z"

endTimeLocal
string
required

The end time of the delivery window in local timezone.

Example:

"2024-01-01T12:00:00"

timezoneId
string
required

The timezone id of the delivery window.

Example:

"America/New_York"

cutoffTime
string
required

The cutoff time of the delivery window.

Example:

"2024-01-01T10:00:00Z"

cutoffTimeLocal
string
required

The cutoff time of the delivery window in local timezone.

Example:

"2024-01-01T10:00:00"

rrule
string
required

The rrule of the delivery window.

Example:

"RRULE:FREQ=WEEKLY;BYDAY=MO"

exceptionDates
string[]
required

The exception dates of the delivery window.

Example:
allowedTags
string[]
required

The allowed tags of the delivery window.

Example:
leadTimeMinutes
integer
required

The lead time of the delivery window.

Example:

60

priceCents
integer
required

The price of the delivery window.

Example:

1000

minimumOrderValueCents
integer
required

The minimum order value of the delivery window.

Example:

1000

maximumCapacity
integer
required

The maximum capacity of the delivery window.

Example:

1000

storeLocationId
string
required

The store location id of the delivery window.

Example:

"stl_01234567890123456789"

zoneId
string
required

The zone id of the delivery window.

Example:

"zone_01234567890123456789"

zoneExternalId
string
required

The external zone id of the delivery window.

Example:

"ext_01234567890123456789"

windowMetadata
Windowmetadata · object
required

The metadata of the delivery window.

Example:
isActive
boolean
required

Whether the delivery window is active.

Example:

true

isDeleted
boolean
required

Whether the delivery window is deleted.

Example:

false